Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-apps/util-linux probleme mit python [solved]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 256

PostPosted: Wed May 21, 2014 1:31 pm    Post subject: sys-apps/util-linux probleme mit python [solved] Reply with quote

Code:
emerge --update --deep world -av

These are the packages that would be merged, in order:

Calculating dependencies \

!!! Problem resolving dependencies for sys-apps/util-linux from @system
... done!

!!! The ebuild selected to satisfy "sys-apps/util-linux" has unmet requirements.
- sys-apps/util-linux-2.24.1-r2::gentoo USE="cramfs ncurses nls pam (policykit) python suid udev unicode -bash-completion -caps -cytune -fdformat (-selinux) -slang -static-libs -test -tty-helpers" ABI_X86="64" PYTHON_SINGLE_TARGET="python2_7 python3_2 python3_3 -python3_4" PYTHON_TARGETS="python2_7 python3_2 python3_3 -python3_4"

  The following REQUIRED_USE flag constraints are unsatisfied:
    python? ( exactly-one-of ( python_single_target_python2_7 python_single_target_python3_2 python_single_target_python3_3 python_single_target_python3_4 ) )

  The above constraints are a subset of the following complete expression:
    python? ( python_single_target_python2_7? ( python_targets_python2_7 ) python_single_target_python3_2? ( python_targets_python3_2 ) python_single_target_python3_3? ( python_targets_python3_3 ) python_single_target_python3_4? ( python_targets_python3_4 ) exactly-one-of ( python_single_target_python2_7 python_single_target_python3_2 python_single_target_python3_3 python_single_target_python3_4 ) )

(dependency required by "@system" [set])
(dependency required by "@world" [argument])


Ich bekomme es einfach nicht hin util-linux zu installieren, folgend systeminfos:

Code:
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.12.13-gentoo x86_64)
=================================================================
System uname: Linux-3.12.13-gentoo-x86_64-AMD_Phenom-tm-_II_X4_925_Processor-with-gentoo-2.2
KiB Mem:     8166076 total,     63920 free
KiB Swap:     818172 total,    811960 free
Timestamp of tree: Wed, 21 May 2014 11:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo steam-overlay java Flux-Networks
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA +* googleearth PUEL skype-eula teamspeak3 Oracle-BCLA-JavaSE NVIDIA-CUDA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://gentoo.tiscali.nl/ http://gentoo.mneisen.org/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/steam /var/lib/layman/java /var/lib/layman/Flux-Networks"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 3ds X X509 a52 aac aalib accessibility ace acl acpi ada addbookmarks aim akonadi alsa amd64 amr apng archive audacious auto-hinter autoreplace avcodec avformat avs avx berkdb blender bluetooth branding bzip2 cairo captcha cdda cddb cdemu-daemon cdinstall cdio cdparanoia cdr cdrkit cdrom cli collada colorpicker consolekit contactnotes container corefonts cover cpuload cracklib crypt cryptsetup css cue cups cursors cxx dbus dcc_video dds declarative desktopglobe device-mapper dmx dri dts dv dvd dvdnav dvdr ebook emboss emovix enca encode equalizer exif expat extras faac faad fam fasttrack fat fax fbcondecor ffmpeg fftw flac fluidsynth fontconfig foomaticdb fortran fping fpx ftp fuse g3dvl game-engine gcrypt gd gdbm gif gimp git glib glitz gnutella gnutls gpg gphoto2 gpm graphicsmagick grub gstreamer gtk gtk3 gudev gzip hbci hddtemp hdri highlight history holidays hwdb icons iconv icq id3tag ieee1394 image imagemagick imlib inkjar ipv6 irc jabber jack joystick jpeg jpeg2k kde kdenlive kdm kerberos kipi ladspa lame latex lcms libcaca libmpeg2 libnotify libsamplerate libssh2 live lm_sensors loop-aes lua lyrics lzo mad md5sum melt midi mikmod minizip mjpeg mmap mms mmx mmxext mng mod modplug modules moonlight motif mozilla mp3 mp3rtp mp3tunes mp4 mpeg mpi mplayer msn multilib musepack mysql ncurses network networkmonitor nfs nls notifier nowlistening nptl nsplugin ntfs ntp nut nvidia ofx ogg ogg123 ogm openal opencl openexr opengl openmp openssl oscar oss pam pango pcre pdf perl phonon physfs plasma player png pnm policykit ppds privacy projectm python qt3support qt4 quad quicktime quotes rar raw razor rdesktop readline reiser4 reiserfs romio rss scanner screensaver sdl sdl-sound sdlaudio seamonkey secure-delete semantic-desktop sensors session skype slp smpeg sms sndfile snmp sou sound soundtouch sox speech spell sql sqlite srt sse sse2 ssl startup-notification statistics stream subtitles svg symlink syslog szip taglib tcl tcpd texteffect tga themes theora threads thumbnail tiff timidity toolame tordns transcode translator tray tremor truetype tta twolame type3 udev udisks unicode unzip upower urandom usb userlocales v4l vcd vdpau video videos virtualbox virtuoso vnc vorbis wav wavpack webkit webpresence win32 winpopup wma wmf wxwidgets x264 xanim xcb xcomposite xfs xft xine xinerama xml xmp xorg xosd xplanet xpm xscreensaver xv xvid xvmc yahoo yuv4mpeg zip zlib" ABI_X86="64" ALSA_CARDS="emu10k1" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7 python3_2 python3_3 python3_4" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" RUBY_TARGETS="ruby19 ruby20" SANE_BACKENDS="plustek_pp plustek" USERLAND="GNU" VIDEO_CARDS="nv nouveau nvidia v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.3"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


folgende python flags sind in der make.conf:

Code:
USE_PYTHON="2.7 3.3"
PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4"
PYTHON_SINGLE_TARGET="python2_7 python3_2 python3_3 python3_4"


Ich habe generell Probleme diese Pythonmeldungen zu interpretieren, ich komme mir dabei immer vor wie in einem fremden dunklen Keller, vielleicht mag mir jemand ein Licht anzünden.

Danke!
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...


Last edited by Linubie on Wed May 21, 2014 2:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1559
Location: Schweiz

PostPosted: Wed May 21, 2014 2:05 pm    Post subject: Reply with quote

Wenn ich die Meldung oben richtig gelesen habe dann baut das Paket "sys-apps/util-linux" nicht weil du bei "PYTHON_SINGLE_TARGET" mehr als eine Python-Version angegeben hast. Und ob "USE_PYTHON" in der make.conf so eine gute Idee ist bezweifle ich, denn eigentlich wird das zu verwendende Python durch "eselect" bestimmt.
_________________
GPG: 0x3FC78AEE51E5FB95
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 256

PostPosted: Wed May 21, 2014 2:48 pm    Post subject: Reply with quote

Danke klappt nun:

Code:
#USE_PYTHON="2.7 3.3"
PYTHON_TARGETS="python2_7 python3_3"
PYTHON_SINGLE_TARGET="python3_3"

_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum